Bug 809843 - Review Request: perl-Test-Reporter - Sends test results to cpan-testers@perl.org
Review Request: perl-Test-Reporter - Sends test results to cpan-testers@perl.org
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Šabata
Fedora Extras Quality Assurance
:
: 1161825 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-04 09:53 EDT by Petr Pisar
Modified: 2014-12-06 12:10 EST (History)
4 users (show)

See Also:
Fixed In Version: perl-Test-Reporter-1.60-3.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-13 09:45:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
psabata: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Petr Pisar 2012-04-04 09:53:00 EDT
Spec URL: http://ppisar.fedorapeople.org/perl-Test-Reporter/perl-Test-Reporter.spec
SRPM URL: http://ppisar.fedorapeople.org/perl-Test-Reporter/perl-Test-Reporter-1.58-1.fc18.src.rpm
Description:
Test::Reporter reports the test results of any given distribution to the
CPAN Testers project. Test::Reporter has wide support for various perl5's
and platforms.
Comment 1 Petr Pisar 2012-04-05 02:43:41 EDT
This package is licensed as (GPL+ or Artistic) despite the COPYING file is GPLv3 copy. Thus spake upstream:


From: David Golden <dagolden@cpan.org>
To: Petr Pisar <ppisar@redhat.com>
Subject: Re: Test::Report lincense

The COPYING file is incorrect.  The license is Artistic 1 or GPL 1 (or
later GPL).

David

On Wed, Apr 4, 2012 at 9:25 AM, Petr Pisar <ppisar@redhat.com> wrote:
> Hello,
>
> I have a question regarding Test-Report-1.58 license. The lib/Test/Reporter.pm
> POD states:
>
> This is free software; you can redistribute it and/or modify it under
> the same terms as the Perl 5 programming language system itself.
>
> and LICENSE file confirms it:
>
> Terms of the Perl programming language system itself
> a) the GNU General Public License as published by the Free
>   Software Foundation; either version 1, or (at your option) any
>   later version, or
> b) the "Artistic License"
>
> But the distributed COPYING file quotes GPLv3 license.
>
> It's confusing for me. Is Test-Report licensed as (GPLv1+ or Artistic) or
> (GPLv3+ or Artistic)?
>
> -- Petr
Comment 2 Petr Šabata 2012-04-12 10:44:10 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated


==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[-]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[-]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[-]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[!]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
     Note: No licenses found! Please check the source files for licenses
     manually.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/contyk/src/review/809843/Test-Reporter-1.58.tar.gz :
  MD5SUM this package     : 52ef5471e28ea441c0239606b1bb93e6
  MD5SUM upstream package : 52ef5471e28ea441c0239606b1bb93e6
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[-]: SHOULD Spec use %global instead of %define.

Issues:
TODO: With respect to Comment #1, including the COPYING file doesn't make sense and is just confusing.  I'd suggest removing it from the package.

Approving.

Generated by fedora-review 0.2.0git
External plugins:
Comment 3 Petr Pisar 2012-04-13 08:35:41 EDT
New Package SCM Request
=======================
Package Name: perl-Test-Reporter 
Short Description: Sends test results to cpan-testers@perl.org
Owners: ppisar mmaslano psabata
Branches: 
InitialCC: perl-sig
Comment 4 Gwyn Ciesla 2012-04-13 09:12:22 EDT
Git done (by process-git-requests).
Comment 5 Petr Pisar 2012-04-13 09:45:09 EDT
Thank you for the review and the repository.

I decided to keep the COPYING file because I believe upstream will fix it in next release. In addition, the file does not contradict copyright. It's just a little stronger.
Comment 6 Petr Pisar 2014-11-10 02:31:52 EST
*** Bug 1161825 has been marked as a duplicate of this bug. ***
Comment 7 Petr Pisar 2014-11-10 02:33:01 EST
David feel free to request for the epel7 branch and maintain this package there yourself.
Comment 8 David Dick 2014-11-10 02:58:21 EST
Thanks Petr!

Package Change Request
======================
Package Name: perl-Test-Reporter 
New Branches: epel7
Owners: ddick
InitialCC: perl-sig, ppisar
Comment 9 Gwyn Ciesla 2014-11-10 08:12:01 EST
Git done (by process-git-requests).
Comment 10 Fedora Update System 2014-11-17 14:55:29 EST
perl-Test-Reporter-1.60-3.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/perl-Test-Reporter-1.60-3.el7
Comment 11 Fedora Update System 2014-12-06 12:10:52 EST
perl-Test-Reporter-1.60-3.el7 has been pushed to the Fedora EPEL 7 stable repository.

Note You need to log in before you can comment on or make changes to this bug.